import { ElementType } from 'react';
import { ToastItemProps } from './types.ts';
declare const ToastItem: {
    <T extends ElementType = "div">(props: ToastItemProps<T>): import("react/jsx-runtime").JSX.Element;
    Header: {
        <T extends ElementType = "div">(props: import('./types.ts').ToastHeaderProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Body: {
        <T extends ElementType = "div">(props: import('./types.ts').ToastBodyProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Container: {
        <T extends ElementType = "div">(props: import('./types.ts').ToastContainerProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    displayName: string;
};
export default ToastItem;
